<?php
/**
 * Home Internet Provider: Customizer
 *
 * @subpackage Home Internet Provider
 * @since 1.0
 */

function home_internet_provider_customize_register( $wp_customize ) {

	wp_enqueue_style('customizercustom_css', esc_url( get_template_directory_uri() ). '/inc/customizer/customizer.css');

	// Pro Section
 	$wp_customize->add_section('home_internet_provider_pro', array(
        'title'    => __('HOME INTERNET PROVIDER PREMIUM', 'home-internet-provider'),
        'priority' => 1,
    ));
    $wp_customize->add_setting('home_internet_provider_pro', array(
        'default'           => null,
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control(new Home_Internet_Provider_Pro_Control($wp_customize, 'home_internet_provider_pro', array(
        'label'    => __('HOME INTERNET PROVIDER PREMIUM', 'home-internet-provider'),
        'section'  => 'home_internet_provider_pro',
        'settings' => 'home_internet_provider_pro',
        'priority' => 1,
    )));
}
add_action( 'customize_register', 'home_internet_provider_customize_register' );


define('HOME_INTERNET_PROVIDER_PRO_LINK',__('https://www.ovationthemes.com/products/internet-provider-wordpress-theme','home-internet-provider'));

define('HOME_INTERNET_PROVIDER_BUNDLE_BTN',__('https://www.ovationthemes.com/products/wordpress-bundle','home-internet-provider'));

/* Pro control */
if (class_exists('WP_Customize_Control') && !class_exists('Home_Internet_Provider_Pro_Control')):
    class Home_Internet_Provider_Pro_Control extends WP_Customize_Control{

    public function render_content(){?>
        <label style="overflow: hidden; zoom: 1;">
	        <div class="col-md upsell-btn">
                <a href="<?php echo esc_url( HOME_INTERNET_PROVIDER_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE HOME INTERNET PROVIDER PREMIUM','home-internet-provider');?> </a>
	        </div>
            <div class="col-md">
                <img class="home_internet_provider_img_responsive " src="<?php echo esc_url(get_template_directory_uri()); ?>/screenshot.png">
            </div>
	        <div class="col-md">
                <ul style="padding-top:10px">
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'home-internet-provider');?> </li>                 
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'home-internet-provider');?> </li>
                    <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'home-internet-provider');?> </li>
                </ul>
        	</div>
            <div class="col-md upsell-btn upsell-btn-bottom">
                <a href="<?php echo esc_url( HOME_INTERNET_PROVIDER_BUNDLE_BTN ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('Wordpress Theme Bundle (100+ Themes at Just $89)','home-internet-provider');?> </a>
            </div>
        </label>
    <?php } }
endif;