<?php

add_action( 'admin_menu', 'home_internet_provider_gettingstarted' );
function home_internet_provider_gettingstarted() {
	add_theme_page( esc_html__('Begin Installation', 'home-internet-provider'), esc_html__('Begin Installation', 'home-internet-provider'), 'edit_theme_options', 'home-internet-provider-guide-page', 'home_internet_provider_guide');
}

function home_internet_provider_admin_theme_style() {
   wp_enqueue_style('home-internet-provider-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/dashboard.css');
}
add_action('admin_enqueue_scripts', 'home_internet_provider_admin_theme_style');

if ( ! defined( 'HOME_INTERNET_PROVIDER_SUPPORT' ) ) {
define('HOME_INTERNET_PROVIDER_SUPPORT',__('https://wordpress.org/support/theme/home-internet-provider/','home-internet-provider'));
}
if ( ! defined( 'HOME_INTERNET_PROVIDER_REVIEW' ) ) {
define('HOME_INTERNET_PROVIDER_REVIEW',__('https://wordpress.org/support/theme/home-internet-provider/reviews/','home-internet-provider'));
}
if ( ! defined( 'HOME_INTERNET_PROVIDER_LIVE_DEMO' ) ) {
define('HOME_INTERNET_PROVIDER_LIVE_DEMO',__('https://trial.ovationthemes.com/home-internet-provider/','home-internet-provider'));
}
if ( ! defined( 'HOME_INTERNET_PROVIDER_BUY_PRO' ) ) {
define('HOME_INTERNET_PROVIDER_BUY_PRO',__('https://www.ovationthemes.com/products/internet-provider-wordpress-theme','home-internet-provider'));
}
if ( ! defined( 'HOME_INTERNET_PROVIDER_PRO_DOC' ) ) {
define('HOME_INTERNET_PROVIDER_PRO_DOC',__('https://trial.ovationthemes.com/docs/home-internet-provider-doc/','home-internet-provider'));
}
if ( ! defined( 'HOME_INTERNET_PROVIDER_FREE_DOC' ) ) {
define('HOME_INTERNET_PROVIDER_FREE_DOC',__('https://trial.ovationthemes.com/docs/home-internet-provider-free-doc/','home-internet-provider'));
}
if ( ! defined( 'HOME_INTERNET_PROVIDER_THEME_NAME' ) ) {
define('HOME_INTERNET_PROVIDER_THEME_NAME',__('Premium Home Internet Provider Theme','home-internet-provider'));
}
if ( ! defined( 'HOME_INTERNET_PROVIDER_BUNDLE_LINK' ) ) {
define('HOME_INTERNET_PROVIDER_BUNDLE_LINK',__('https://www.ovationthemes.com/products/wordpress-bundle','home-internet-provider'));
}
/**
 * Theme Info Page
 */
function home_internet_provider_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( '' ); ?>

	<div class="getting-started__header">
		<div class="header-box-left">
			<h2><?php echo esc_html( $theme ); ?></h2>
			<p><?php esc_html_e('Version: ', 'home-internet-provider'); ?><?php echo esc_html($theme['Version']);?></p>
		</div>
		<div class="header-box-right">
			<div class="btn_box">
				<a class="button-primary" href="<?php echo esc_url( HOME_INTERNET_PROVIDER_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support', 'home-internet-provider'); ?></a>
				<a class="button-primary" href="<?php echo esc_url( HOME_INTERNET_PROVIDER_REVIEW ); ?>" target="_blank"><?php esc_html_e('Review', 'home-internet-provider'); ?></a>
			</div>
		</div>
	</div>

	<div class="wrap getting-started">
		<div class="box-container">
			<div class="box-left-main">
				<div class="leftbox">
					<h3><?php esc_html_e('Documentation','home-internet-provider'); ?></h3>
					<p><?php $theme = wp_get_theme(); 
						echo wp_kses_post( apply_filters( 'description', esc_html( $theme->get( 'Description' ) ) ) );
					?></p>

					<h4><?php esc_html_e('Edit Your Site','home-internet-provider'); ?></h4>
					<p><?php esc_html_e('Now create your website with easy drag and drop powered by gutenburg.','home-internet-provider'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url() . 'site-editor.php' ); ?>" target="_blank"><?php esc_html_e('Edit Your Site','home-internet-provider'); ?></a>

					<h4><?php esc_html_e('Visit Your Site','home-internet-provider'); ?></h4>
					<p><?php esc_html_e('To check your website click here','home-internet-provider'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( home_url() ); ?>" target="_blank"><?php esc_html_e('Visit Your Site','home-internet-provider'); ?></a>

					<h4><?php esc_html_e('Theme Documentation','home-internet-provider'); ?></h4>
					<p><?php esc_html_e('Check the theme documentation to easily set up your website.','home-internet-provider'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( HOME_INTERNET_PROVIDER_FREE_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','home-internet-provider'); ?></a>
				</div>
       	</div>
			<div class="box-right-main">
				<h3><?php echo esc_html(HOME_INTERNET_PROVIDER_THEME_NAME); ?></h3>
				<img class="home_internet_provider_img_responsive" style="width: 100%;" src="<?php echo esc_url( $theme->get_screenshot() ); ?>" />
				<div class="pro-links">
					<div class="pro-links-inner">
						<a class="button-primary livedemo" href="<?php echo esc_url( HOME_INTERNET_PROVIDER_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'home-internet-provider'); ?></a>
						<a class="button-primary buynow" href="<?php echo esc_url( HOME_INTERNET_PROVIDER_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Now', 'home-internet-provider'); ?></a>
						<a class="button-primary docs" href="<?php echo esc_url( HOME_INTERNET_PROVIDER_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation', 'home-internet-provider'); ?></a>
					</div>
						<a class="button-primary bundle-btn" href="<?php echo esc_url( HOME_INTERNET_PROVIDER_BUNDLE_LINK ); ?>" target="_blank"><?php esc_html_e('Wordpress Theme Bundle (100+ Themes at Just $89)', 'home-internet-provider'); ?></a>
				</div>
				<ul style="padding-top:10px">
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'home-internet-provider');?> </li>                 
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'home-internet-provider');?> </li>
					<li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'home-internet-provider');?> </li>
               <li class="upsell-home_internet_provider"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'home-internet-provider');?> </li>
            </ul>
        	</div>
		</div>
	</div>

<?php }?>